当前位置:  首页  >  服务器技术  >  Linux/unix  >  Linux系统

Fedora9下安装VPNClient

在Fedora9下安装vpnclient还真不容易通过查资料发现,安装有两种方式,一种是通过NetManager-vpnc,另一种是通过pptpconfig。起初我准备通过pptpconfig的方式,但后来发现pptpconfig并不能通过yum直接安装(网上说可以),如果不通过yum,就得牵扯到很多rpm,于是放弃,走第一条线路,因为netmanager在Fedora9中是现成的

在Fedora 9下安装vpn client还真不容易

通过查资料发现,安装有两种方式,一种是通过NetManager-vpnc,另一种是通过pptpconfig。

起初我准备通过pptpconfig的方式,但后来发现pptpconfig并不能通过yum直接安装(网上说可以),如果不通过yum,就得牵扯到很多rpm,于是放弃,走第一条线路,因为netmanager在Fedora 9中是现成的,就在桌面的顶端,于是按照文档安装了NetManager-vpnc,以为就好了,但始终连不上server。我也查了很多文档,也有人遇到我这样的问题,但没人给出最终的解决,后来有人提示说可以通过命令行来调试,于是我也如法炮制,看日志信息,查google,也发现有人遇到我这种情况但同样没有解决,不得已只有找官方文档看,官方文档对vpn的介绍非常简短,更不要提解决我的问题,折腾了两天,实在没办法了,只有走第二条路线了,总算是成功了。

记录如下:

0)
yum install pptp
1)
wget http://pptpclient.sourceforge.net/yum/stable/fc9/i386/pptpconfig-20060821-1.fc9.noarch.rpm

rpm -ivh pptpconfig-20060821-1.fc9.noarch.rpm
出错
warning: pptpconfig-20060821-1.fc9.noarch.rpm: Header V3 DSA signature: NOKEY, key ID 862acc42
error: Failed dependencies:
/bin/php4-pcntl is needed by pptpconfig-20060821-1.fc9.noarch
php4-pcntl >= 4.3.9-2 is needed by pptpconfig-20060821-1.fc9.noarch
php4-pcntl-gtk is needed by pptpconfig-20060821-1.fc9.noarch
于是:
1.1)

wget http://pptpclient.sourceforge.net/yum/stable/fc9/i386/php4-pcntl-4.4.9-1.fc9.i386.rpm
rpm -ivh php4-pcntl-4.4.9-1.fc9.i386.rpm

吐了个 "CAO" !
扫码关注 PHP1 官方微信号
PHP1.CN | 中国最专业的PHP中文社区 | 凯发国际娱乐 | 凯发国际娱乐下载 | 数据库技术 | 服务器技术 | 前端开发技术 | PHP框架 | 开发工具 | PHP问答
Copyright © 1998 - 2020 PHP1.CN. All Rights Reserved PHP1.CN 第一PHP社区 版权所有